import request from '@/utils/request'

// 导入客户列表
let importData = function importData(param) {
	return request({
		url: '/customer/importData',
		method: 'POST',
		data: param
	})
}
// 查询条件字段
let searchDic = function searchDic(param) {
	return request({
		url: 'https://files.jiansheku.com/file/json/common/searchDic.json',
		method: 'get',

	})
}
// 关键词哎字段
let keywordList = function keywordList(param) {
	return request({
		url: '/radar/keywordList',
		method: 'post',
		data: param

	})
}
// 标讯-来源网站下拉远程搜索
let bidSourceList = function bidSourceList(param) {
	return request({
		url: '/radar/bidSourceList',
		method: 'post',
        data: param
	})
}
// 专项债项目查询
let bondProjectPage = function bondProjectPage(param) {
	return request({
		url: '/radar/bondProjectPage',
		method: 'post',
		data: param
	})
}
// 专项债项目详情查询
let specialDebtProjectDetail = function specialDebtProjectDetail(param) {
	return request({
		url: '/enterpriseProject/specialDebtProjectDetail',
		method: 'post',
		data: param
	})
}
// 专项债项目详情查询
let specialDebtPage = function specialDebtPage(param) {
	return request({
		url: '/enterpriseProject/specialDebtPage',
		method: 'post',
		data: param
	})
}
// 土地交易查询
let landMarketPage = function landMarketPage(param) {
	return request({
		url: '/radar/landMarketPage',
		method: 'post',
		data: param
	})
}
// 土地交易详情查询
let landDetail = function landDetail(param) {
	return request({
		url: '/enterpriseProject/landDetail',
		method: 'post',
		data: param
	})
}
// 拟建查询
let establishmentPage = function establishmentPage(param) {
	return request({
		url: '/radar/establishmentPage',
		method: 'post',
		data: param
	})
}
// 拟建详情查询
let approvalInfoDetail = function approvalInfoDetail(param) {
	return request({
		url: '/enterpriseProject/approvalInfoDetail',
		method: 'post',
		data: param
	})
}
// 拟建详情立项审批列表查询
let approvalExaminePage = function approvalExaminePage(param) {
	return request({
		url: '/enterpriseProject/approvalExaminePage',
		method: 'post',
		data: param
	})
}
// 拟建详情民间推介列表查询
let approvalMarketingPage = function approvalMarketingPage(param) {
	return request({
		url: '/enterpriseProject/approvalMarketingPage',
		method: 'post',
		data: param
	})
}

// 招标计划查询
let jskBidPlanPage = function jskBidPlanPage(param) {
	return request({
		url: '/radar/jskBidPlanPage',
		method: 'post',
		data: param
	})
}
// 招标计划资金来源下拉
let getCapitalSourceSelect = function getCapitalSourceSelect(param) {
	return request({
		url: '/radar/jskBidPlan/getCapitalSourceSelect',
		method: 'post',
		data: param
	})
}
// 招标计划详情
let bidPlanDetail = function bidPlanDetail(param) {
	return request({
		url: '/enterpriseProject/bidPlanDetail',
		method: 'post',
		data: param
	})
}
// 标讯pro
let jskBidNewsPage = function jskBidNewsPage(param) {
	return request({
		url: '/radar/jskBidNewsPage',
		method: 'post',
		data: param
	})
}

// 标讯pro详情

let bidNoticeProDetail = function bidNoticeProDetail(param) {
	return request({
		url: '/enterpriseProject/bidNoticeProDetail',
		method: 'post',
		data: param
	})
}
// 公招标讯
let jskBidPage = function jskBidPage(param) {
	return request({
		url: 'radar/jskBidPage',
		method: 'post',
		data: param
	})
}
// 公招标讯详情
let bidNoticeDetail = function bidNoticeDetail(param) {
	return request({
		url: '/enterpriseProject/bidNoticeDetail',
		method: 'post',
		data: param
	})
}
// 开标记录查询
let jskBidTenderPage = function jskBidTenderPage(param) {
	return request({
		url: '/radar/jskBidTenderPage',
		method: 'post',
		data: param
	})
}
// 开标记录详情
let tenderDetail = function tenderDetail(param) {
	return request({
		url: '/enterpriseBussiness/tenderDetail',
		method: 'post',
		data: param
	})
}
// 开标记录详情列表
let tenderPage = function tenderPage(param) {
	return request({
		url: '/enterpriseBussiness/tenderPage',
		method: 'post',
		data: param
	})
}

// 批量获取城投企业id
let getUipIdByCid = function getUipIdByCid(param) {
	return request({
		url: '/enterprise/getUipIdByCid',
		method: 'post',
		data: param
	})
}
// 重点项目清单查询
let getImportantPage = function getImportantPage(param) {
	return request({
		url: '/radar/importantPage',
		method: 'post',
		data: param
	})
}
// 重点项目清单筛选
let getImportantCondition = function getImportantCondition(param) {
	return request({
		url: '/radar/importantCondition',
		method: 'post',
		data: param
	})
}
// 重点项目清单关联列表

let getImportantSelect = function getImportantSelect(param) {
	return request({
		url: '/radar/importantSelect',
		method: 'post',
		data: param
	})
}
//重点项目清单详情
let getImportantDetail = function getImportantDetail(param) {
	return request({
		url: '/enterpriseProject/importantDetail',
		method: 'post',
		data: param
	})
}
//项目清单导出
let radarExport = function radarExport(param) {
	return request({
		url: '/export/important',
		method: 'post',
		data: param
	})
}
//重点项目清单查询-基础统计
let zdxmqdjctj = function zdxmqdjctj(param) {
	return request({
		url: '/index/zdxmqdjctj',
		method: 'post',
		data: param
	})
}
//重点项目清单查询-前十企业
let zdxmqdtopten = function zdxmqdtopten(param) {
	return request({
		url: '/index/zdxmqdtopten',
		method: 'post',
		data: param
	})
}
//重点项目清单查询-总金额统计
let zdxmqdzjetj = function zdxmqdzjetj(param) {
	return request({
		url: '/index/zdxmqdzjetj',
		method: 'post',
		data: param
	})
}
//专项债项目-基础统计
let zxzxmjctj = function zxzxmjctj(param) {
	return request({
		url: '/index/zxzxmjctj',
		method: 'post',
		data: param
	})
}
//专项债项目-企业统计
let zxzxmqytj = function zxzxmqytj(param) {
	return request({
		url: '/index/zxzxmqytj',
		method: 'post',
		data: param
	})
}
//专项债项目-总金额统计
let zxzxmzjetj = function zxzxmzjetj(param) {
	return request({
		url: '/index/zxzxmzjetj',
		method: 'post',
		data: param
	})
}
//商机-土地查询-基础维度统计
let jcwdtj = function jcwdtj(param) {
	return request({
		url: '/index/jcwdtj',
		method: 'post',
		data: param
	})
}
//商机-土地查询-前十企业统计
let topten = function topten(param) {
	return request({
		url: '/index/topten',
		method: 'post',
		data: param
	})
}
//商机-土地查询-总金额、总面积统计
let statisticsOfAmountAndArea = function statisticsOfAmountAndArea(param) {
	return request({
		url: '/index/statisticsOfAmountAndArea',
		method: 'post',
		data: param
	})
}
//商机-拟建查询-基础维度统计
let njjcwdtj = function njjcwdtj(param) {
	return request({
		url: '/index/njjcwdtj',
		method: 'post',
		data: param
	})
}
//商机-拟建查询-前十企业统计
let njtopten = function njtopten(param) {
	return request({
		url: '/index/njtopten',
		method: 'post',
		data: param
	})
}
//商机-拟建查询-总金额统计
let njzjetj = function njzjetj(param) {
	return request({
		url: '/index/njzjetj',
		method: 'post',
		data: param
	})
}
//商机-招标计划查询-基础维度统计
let zbjhcxjcwdtj = function zbjhcxjcwdtj(param) {
	return request({
		url: '/index/zbjhcxjcwdtj',
		method: 'post',
		data: param
	})
}
//商机-招标计划查询-前十企业统计
let zbjhcxtopten = function zbjhcxtopten(param) {
	return request({
		url: '/index/zbjhcxtopten',
		method: 'post',
		data: param
	})
}
//商机-招标计划查询-总金额统计
let zbjhcxzjetj = function zbjhcxzjetj(param) {
	return request({
		url: '/index/zbjhcxzjetj',
		method: 'post',
		data: param
	})
}
//商机-招标公告-基础维度统计
let zbggjcwdtj = function zbggjcwdtj(param) {
	return request({
		url: '/index/zbggjcwdtj',
		method: 'post',
		data: param
	})
}
//商机-招标公告-前十企业统计
let zbggtopten = function zbggtopten(param) {
	return request({
		url: '/index/zbggtopten',
		method: 'post',
		data: param
	})
}
//商机-招标公告-总金额统计
let zbggzjetj = function zbggzjetj(param) {
	return request({
		url: '/index/zbggzjetj',
		method: 'post',
		data: param
	})
}

export default {
	radarExport,
	getImportantDetail,
	getImportantSelect,
	getImportantCondition,
	getImportantPage,
	importData,
	searchDic,
	bondProjectPage,
	specialDebtProjectDetail,
	specialDebtPage,
	landMarketPage,
	landDetail,
	establishmentPage,
	approvalInfoDetail,
	approvalExaminePage,
	approvalMarketingPage,
	jskBidPlanPage,
	getCapitalSourceSelect,
	bidPlanDetail,
	jskBidNewsPage,
	bidNoticeProDetail,
	keywordList,
	bidSourceList,
	jskBidPage,
	bidNoticeDetail,
	jskBidTenderPage,
	tenderDetail,
	tenderPage,
	getUipIdByCid,
  zdxmqdjctj,
  zdxmqdtopten,
  zdxmqdzjetj,
  zxzxmjctj,
  zxzxmqytj,
  zxzxmzjetj,
  jcwdtj,
  topten,
  statisticsOfAmountAndArea,
  njjcwdtj,
  njtopten,
  njzjetj,
  zbjhcxjcwdtj,
  zbjhcxtopten,
  zbjhcxzjetj,
  zbggjcwdtj,
  zbggtopten,
  zbggzjetj,
}
